REALPATH(1)

NAME
realpath - print the canonicalized absolute pathname

SYNOPSIS
realpath [-q] file

DESCRIPTION
The realpath utility uses realpath(3) to resolve all symbolic links, extra “/” characters and references to /./ and /../ in file, and prints the absolute pathname on standard output.

The options are as follows:

-q  Do not print errors.

EXIT STATUS

SEE ALSO
readlink(1), realpath(3)

HISTORY
The realpath utility first appeared in OpenBSD 7.1.